
/* Checkout Login Coupon Accordion Start */
.checkoutaccordion {
    & h3 {
        background-color: #f7f7f7;
        border-top: 3px solid $theme-color;
        color: $black-soft;
        font-size: 14px;
        font-weight: 600;
        margin: 0 0 30px;
        padding: 15px 20px;
        position: relative;
        text-transform: uppercase;

        span {
            color: $theme-color;
            cursor: pointer;
            @include transition(.4s);
            margin-left: 10px;

            &:hover {
                color: $black-soft;
            }
        }

        @media #{$extra-small-mobile} {
            font-size: 14px;
        }
    }

    .card {
        border: none;
        padding: 0;
        @include transition(0.4s);

        .card-body {
            border: 1px solid #ccc;
            font-size: 14px;
            padding: 20px;
            margin-bottom: 30px;

            .cart-update-option {
                border: none;
                padding: 0;

                .apply-coupon-wrapper {
                    input {
                        padding: 12px 10px;
                        background-color: #f7f7f7;
                        border: 1px solid #ccc;
                        margin-right: 15px;

                        @media #{$extra-small-mobile} {
                            margin-bottom: 15px;
                        }
                    }
                }
            }
        }
    }
}

// checkout box wrap 
.checkout-box-wrap {
    .custom-control {
        padding-left: 0;
        margin-left: 1.5rem;
    }
}

// Checkout Billing Details
.checkout-billing-details-wrap {
    h2 {
        color: $black-soft;
        font-size: 20px;
        border-bottom: 1px solid #ccc;
        padding-bottom: 15px;
        margin-bottom: 30px;
        // responsive
        @media #{$large-mobile} {
            margin-bottom: 26px;
        }
    }

    .billing-form-wrap {
        margin-top: -20px;
    }
}

.forget-pwd {
    color: $theme-color;
    font-size: 12px;
    margin-top: -6px;
}

.single-form-row {
    margin-top: 15px;
    display: none;

    p {
        margin: 0;
        font-size: 14px;
    }
}

//Order Summary Detail
.order-summary-details {
    h2 {
        color: $black-soft;
        font-size: 20px;
        border-bottom: 1px solid #ccc;
        padding-bottom: 15px;
        margin-bottom: 30px;
    }
}

.order-summary-table {
    background-color: #f7f7f7;
    margin-top: 34px;

    .table,
    table {
        color: $black-soft;
        margin-bottom: 0;
        font-size: 15px;
        white-space: nowrap;

        tr {

            td,
            th {
                font-weight: 500;
                vertical-align: middle;
                padding: 15px 10px;
                border-width: 1px;

                a {
                    color: $black-soft;
                    font-weight: 400;
                }

                & strong {
                    font-weight: 500;
                }
            }
        }
    }

    .shipping-type {
        text-align: left;

        li {
            margin-bottom: 5px;

            &:last-child {
                margin-bottom: 0;
            }
        }
    }
}

// Order Payment Method
.order-payment-method {
    background-color: #f7f7f7;
    padding: 40px 20px 30px;
    // responsive
    @media #{$tablet-device, $large-mobile} {
        padding: 32px 20px 36px;
    }
}

.single-payment-method {
    margin-bottom: 20px;

    &:last-child {
        margin-bottom: 0;
    }

    &:first-child {
        .payment-method-details {
            display: block;
        }
    }

    label,
    .custom-control-label {
        font-weight: 500;
    }

    .paypal-card {
        max-width: 150px;
        height: 50px;
        margin-top: 10px;
        display: block;
    }

    .payment-method-details {
        background-color: #f1f1f1;
        color: $black-soft;
        font-weight: 400;
        font-size: 13px;
        padding: 10px;
        position: relative;
        margin-top: 20px;
        display: none;

        &:after {
            content: '';
            position: absolute;
            border-left: 10px solid transparent;
            border-right: 10px solid transparent;
            border-bottom: 10px solid #f1f1f1;
            bottom: 100%;
        }

        * {
            margin: 0;
        }
    }
}

.summary-footer-area {
    .btn-brand {
        margin-top: 40px;
    }
}


/*------- input box style css start -------*/
.single-input-item {
    margin-top: 20px;

    label {
        color: $black-soft;
        text-transform: capitalize;
        font-size: 14px;

        &.required {
            &:after {
                content: '*';
                color: red;
                font-size: 14px;
                margin-left: 3px;
                margin-top: 5px;
            }
        }
    }

    & input,
    textarea {
        color: $paragraph;
        border: 1px solid #ccc;
        padding: 12px 10px;
        width: 100%;
        font-size: 14px;
        background: #f7f7f7;

        &:active,
        &:focus {
            border-color: $theme-color;
            background-color: $white;
        }
    }

    .nice-select {
        width: 100%;
        border-radius: 0;
        height: 48px;
        border-color: #ccc;
        background-color: #f7f7f7;

        .current {
            color: $paragraph;
        }

        .list {
            max-height: 200px;
            overflow: auto;
            width: 100%;
        }
    }
}
/*------- input box style css end -------*/


/*-------- Custom Checkbox Style start --------*/
.custom-checkbox,
.custom-radio {

    label,
    .custom-control-label {
        color: $black-soft;
        font-size: 14px;
        line-height: 1;
        padding-left: 10px;
        display: block;
        cursor: pointer;

        &:before {
            background-color: #ddd;
            border: 1px solid #ddd;
            @include border-radius(0);
            height: 15px;
            top: 0;
            width: 15px;
        }

        &:after {
            background-size: 10px 10px;
            height: 15px;
            top: 0;
            width: 15px;
        }

        a {
            color: $black-soft;
            font-weight: 500;

            &:hover {
                color: $theme-color;
            }
        }
    }

    input,
    .custom-control-input {
        outline: none;

        &:focus {

            ~.custom-control-label,
            label {
                &:before {
                    @include box-shadow(none);
                }
            }
        }

        &:checked {

            ~.custom-control-label,
            label {
                &:before {
                    background-color: $theme-color;
                    border-color: $theme-color;
                }
            }
        }
    }
}
/*-------- Custom Checkbox Style end --------*/

/*------- Custom Radio Button Style start -------*/
.custom-radio {

    label,
    .custom-control-label {
        &:before {
            border-radius: 50%;
            height: 14px;
            width: 14px;
        }

        &::after {
            background-position: 1px 1px;
            background-size: 9px 8px;
            left: -22px;
            top: 2px;
            height: 10px;
            width: 10px;
        }
    }
}
/*------- Custom Radio Button Style end -------*/